List all records
GET
/
api
/
v1
/
records
List all records
curl --request GET \
--url https://api.terminus.app/api/v1/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.terminus.app/api/v1/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.terminus.app/api/v1/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.terminus.app/api/v1/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.terminus.app/api/v1/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.terminus.app/api/v1/records")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.terminus.app/api/v1/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "019d9103-3600-73b2-acd4-cd2a3b0e1803",
"created_at": "2026-04-15T12:00:00Z",
"fields": {
"019d9103-3600-759f-acd5-49b1fee8421d": {
"name": "Channel Code",
"type": "text",
"value": "email"
},
"019d9103-3600-79a7-a268-0b20e2f923d2": {
"name": "Channel Label",
"type": "text",
"value": "Email"
},
"019d9103-3600-7de5-a5cf-582cf29ba143": {
"name": "Channel Owner",
"type": "text",
"value": "Marketing"
},
"019d9103-3600-7a18-ab35-3d6786589266": {
"name": "Terminus ID",
"type": "terminus_id",
"value": "trm0h4k29xvq7m3b81df"
},
"019d9103-3600-7452-a635-7603f37be29a": {
"name": "Campaign Name",
"type": "text",
"value": "SUMMER_CAMPAIGN_2026"
},
"019d9103-3600-7be3-acfa-4e25d044362c": {
"name": "Campaign Sequence",
"type": "auto_number",
"value": "001000"
},
"019d9103-3600-7fac-a413-d3dac57c151f": {
"name": "Random Suffix",
"type": "random",
"value": "Abcd12"
},
"019d9103-3600-705b-a4a9-ec7a81613723": {
"name": "Business Unit",
"type": "dropdown",
"value": {
"code": "NA",
"label": "North America"
}
},
"019d9103-3600-7c7a-ac6f-10fc73186a6e": {
"name": "Region",
"type": "dropdown",
"value": {
"code": "us_east",
"label": "us_east"
}
},
"019d9103-3600-79b6-a3e9-81facc5f8d21": {
"name": "Channel",
"type": "dropdown",
"value": {
"code": "email",
"label": "email",
"source_terminus_id": "trm0p6r83wzc5n2j9tkm",
"source_taxonomy_id": "019d9103-3600-7907-a4ae-628fe6d16b66"
}
},
"019d9103-3600-73e9-a06b-83565caec2f5": {
"name": "Sub-Channel",
"type": "dropdown",
"value": {
"code": "email",
"label": "email",
"source_terminus_id": "trm0p6r83wzc5n2j9tkm",
"source_taxonomy_id": "019d9103-3600-7907-a4ae-628fe6d16b66"
}
},
"019d9103-3600-78ee-a5c2-2061306ddc1b": {
"name": "Campaign Tags",
"type": "dropdown",
"value": [
{
"code": "summer",
"label": "summer"
},
{
"code": "launch",
"label": "launch"
}
]
},
"019d9103-3600-704d-a2aa-8bc087503c8a": {
"name": "Geo Continent",
"type": "dropdown",
"value": {
"code": "NA",
"label": "NA"
}
},
"019d9103-3600-7334-a5e1-751e56afe103": {
"name": "Geo Country",
"type": "dropdown",
"value": {
"code": "USA",
"label": "USA"
}
},
"019d9103-3600-7722-a548-be2dcd95f053": {
"name": "Launch Date",
"type": "date",
"value": "01 July 2026"
},
"019d9103-3600-7a11-a0e6-8c062abb8f45": {
"name": "Embargo Date",
"type": "date",
"value": "15-26"
},
"019d9103-3600-748b-a0d5-1ec97bd64f5a": {
"name": "Landing URL",
"type": "url",
"value": "https://example.com/summer-2026"
},
"019d9103-3600-794a-a6ed-523dbc5c0745": {
"name": "Tracking URL",
"type": "tagged_url",
"value": "https://example.com/summer-2026?utm_source=email&utm_medium=email&utm_campaign=SUMMER_CAMPAIGN_2026&utm_content=summer%2Claunch"
},
"019d9103-3600-7f33-a850-bcedac1e6092": {
"name": "Vanity Short URL",
"type": "short_url",
"value": "http://go.acme.example/Abcd1234"
},
"019d9103-3600-7109-a5c5-d7c9d54fac6d": {
"name": "Campaign QR",
"type": "qr_code",
"value": "content=http%3A%2F%2Fgo.acme.example%2FAbcd1234&label=SUMMER_CAMPAIGN_2026"
},
"019d9103-3600-77cd-ad57-b1b926d028c9": {
"name": "Org Tag",
"type": "constant",
"value": "ACME-MKT"
},
"019d9103-3600-71d2-a4ac-5e024ce2e52c": {
"name": "Campaign Code",
"type": "concatenation",
"value": "C-NA-email-001000-Abcd12-EOM"
},
"019d9103-3600-73d6-a5ca-baabe4a306c1": {
"name": "Autofill Simple",
"type": "autofill",
"value": "summer_campaign_2026"
},
"019d9103-3600-7cb1-a8d9-4691f7f73add": {
"name": "Autofill Expression",
"type": "autofill",
"value": "summer_campaign_2026-ACME-MKT"
}
},
"revision": {
"id": "019d9103-3600-7a36-ac0b-d0fbab9a5a8e",
"number": 1
},
"status": "active",
"taxonomy_id": "019d9103-3600-765c-a99a-c0c151622aec",
"terminus_id": "trm0h4k29xvq7m3b81df",
"updated_at": "2026-04-15T12:00:00Z",
"workspace_id": "019d9103-3600-7632-afb9-a3267c2ae9a0"
}
],
"has_more": false,
"total_count": 1
}Authorizations
API key authentication. Use Authorization: Bearer thub_xxxxx
Headers
API key token (e.g., Bearer thub_abc123)
Query Parameters
Filter by workspace
Filter by taxonomy
Page number
Items per page
⌘I
List all records
curl --request GET \
--url https://api.terminus.app/api/v1/records \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.terminus.app/api/v1/records"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.terminus.app/api/v1/records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.terminus.app/api/v1/records",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.terminus.app/api/v1/records"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.terminus.app/api/v1/records")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.terminus.app/api/v1/records")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"id": "019d9103-3600-73b2-acd4-cd2a3b0e1803",
"created_at": "2026-04-15T12:00:00Z",
"fields": {
"019d9103-3600-759f-acd5-49b1fee8421d": {
"name": "Channel Code",
"type": "text",
"value": "email"
},
"019d9103-3600-79a7-a268-0b20e2f923d2": {
"name": "Channel Label",
"type": "text",
"value": "Email"
},
"019d9103-3600-7de5-a5cf-582cf29ba143": {
"name": "Channel Owner",
"type": "text",
"value": "Marketing"
},
"019d9103-3600-7a18-ab35-3d6786589266": {
"name": "Terminus ID",
"type": "terminus_id",
"value": "trm0h4k29xvq7m3b81df"
},
"019d9103-3600-7452-a635-7603f37be29a": {
"name": "Campaign Name",
"type": "text",
"value": "SUMMER_CAMPAIGN_2026"
},
"019d9103-3600-7be3-acfa-4e25d044362c": {
"name": "Campaign Sequence",
"type": "auto_number",
"value": "001000"
},
"019d9103-3600-7fac-a413-d3dac57c151f": {
"name": "Random Suffix",
"type": "random",
"value": "Abcd12"
},
"019d9103-3600-705b-a4a9-ec7a81613723": {
"name": "Business Unit",
"type": "dropdown",
"value": {
"code": "NA",
"label": "North America"
}
},
"019d9103-3600-7c7a-ac6f-10fc73186a6e": {
"name": "Region",
"type": "dropdown",
"value": {
"code": "us_east",
"label": "us_east"
}
},
"019d9103-3600-79b6-a3e9-81facc5f8d21": {
"name": "Channel",
"type": "dropdown",
"value": {
"code": "email",
"label": "email",
"source_terminus_id": "trm0p6r83wzc5n2j9tkm",
"source_taxonomy_id": "019d9103-3600-7907-a4ae-628fe6d16b66"
}
},
"019d9103-3600-73e9-a06b-83565caec2f5": {
"name": "Sub-Channel",
"type": "dropdown",
"value": {
"code": "email",
"label": "email",
"source_terminus_id": "trm0p6r83wzc5n2j9tkm",
"source_taxonomy_id": "019d9103-3600-7907-a4ae-628fe6d16b66"
}
},
"019d9103-3600-78ee-a5c2-2061306ddc1b": {
"name": "Campaign Tags",
"type": "dropdown",
"value": [
{
"code": "summer",
"label": "summer"
},
{
"code": "launch",
"label": "launch"
}
]
},
"019d9103-3600-704d-a2aa-8bc087503c8a": {
"name": "Geo Continent",
"type": "dropdown",
"value": {
"code": "NA",
"label": "NA"
}
},
"019d9103-3600-7334-a5e1-751e56afe103": {
"name": "Geo Country",
"type": "dropdown",
"value": {
"code": "USA",
"label": "USA"
}
},
"019d9103-3600-7722-a548-be2dcd95f053": {
"name": "Launch Date",
"type": "date",
"value": "01 July 2026"
},
"019d9103-3600-7a11-a0e6-8c062abb8f45": {
"name": "Embargo Date",
"type": "date",
"value": "15-26"
},
"019d9103-3600-748b-a0d5-1ec97bd64f5a": {
"name": "Landing URL",
"type": "url",
"value": "https://example.com/summer-2026"
},
"019d9103-3600-794a-a6ed-523dbc5c0745": {
"name": "Tracking URL",
"type": "tagged_url",
"value": "https://example.com/summer-2026?utm_source=email&utm_medium=email&utm_campaign=SUMMER_CAMPAIGN_2026&utm_content=summer%2Claunch"
},
"019d9103-3600-7f33-a850-bcedac1e6092": {
"name": "Vanity Short URL",
"type": "short_url",
"value": "http://go.acme.example/Abcd1234"
},
"019d9103-3600-7109-a5c5-d7c9d54fac6d": {
"name": "Campaign QR",
"type": "qr_code",
"value": "content=http%3A%2F%2Fgo.acme.example%2FAbcd1234&label=SUMMER_CAMPAIGN_2026"
},
"019d9103-3600-77cd-ad57-b1b926d028c9": {
"name": "Org Tag",
"type": "constant",
"value": "ACME-MKT"
},
"019d9103-3600-71d2-a4ac-5e024ce2e52c": {
"name": "Campaign Code",
"type": "concatenation",
"value": "C-NA-email-001000-Abcd12-EOM"
},
"019d9103-3600-73d6-a5ca-baabe4a306c1": {
"name": "Autofill Simple",
"type": "autofill",
"value": "summer_campaign_2026"
},
"019d9103-3600-7cb1-a8d9-4691f7f73add": {
"name": "Autofill Expression",
"type": "autofill",
"value": "summer_campaign_2026-ACME-MKT"
}
},
"revision": {
"id": "019d9103-3600-7a36-ac0b-d0fbab9a5a8e",
"number": 1
},
"status": "active",
"taxonomy_id": "019d9103-3600-765c-a99a-c0c151622aec",
"terminus_id": "trm0h4k29xvq7m3b81df",
"updated_at": "2026-04-15T12:00:00Z",
"workspace_id": "019d9103-3600-7632-afb9-a3267c2ae9a0"
}
],
"has_more": false,
"total_count": 1
}